#include <iostream>
#include <array>
#include <cstdlib>
#include <iomanip>

#define RIGHE 10
#define COLONNE 10

using namespace std;

void riempiMatrice(int matrice[RIGHE][COLONNE], int righe, int colonne);
void stampaMatrice(int matrice[RIGHE][COLONNE], int righe, int colonne);

int main(void) {
	int matrice[RIGHE][COLONNE];
	int righe = RIGHE;
	int colonne = COLONNE;
	
	riempiMatrice(matrice, righe, colonne);
	stampaMatrice(matrice, righe, colonne);
	
	return 0;
}

void riempiMatrice(int matrice[RIGHE][COLONNE], int righe, int colonne) {
	for (int r = 0; r < righe; r++) {
		for (int c = 0; c < colonne; c++) {
			matrice[r][c] = (r + 1) * (c + 1);
		}
	}
}

void stampaMatrice(int matrice[RIGHE][COLONNE], int righe, int colonne) {
	for (int r = 0; r < righe; r++) {
		cout << endl;
		for (int c = 0; c < colonne; c++) {
			cout << setw(5) << matrice[r][c];
		}
		cout << endl;
	}
	cout << endl;
}